// database/connection.js
require('dotenv').config();

const { MongoClient } = require('mongodb');

const dbName = process.env.DB_NAME;

const url = `mongodb://mongodb:27017/${dbName}`;

module.exports = async function connectToDatabase() {
    const client = new MongoClient(url);

    try {
        await client.connect();

        const db = client.db(dbName);
        console.log(`Connecté à la base de données ${dbName}`);

        return db;
        // Création de la collection ou exécution d'autres opérations
        //await db.createCollection('mycollection');
    } catch (err) {
        console.error(err);
        throw err;
    } finally {
        await client.close();
    }
};
